Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037933
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2018-02-15 14:152018-02-22 18:19
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionb8629f698c42
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037933: Documents printed with PrintController should use the standard connection pool

DescriptionAfter issue 0034816, the reporting engine is making use by default of the read only pool (if enabled) to fill the data for the standard reports.

That included those reports generated with the PrintController class, i.e., the reports generated with the print button of the toolbar in the following windows:

- Goods Shipment / Goods Receipt
- Sales Order / Purchase Order
- Sales Invoice / Purchase Invoice
- Payment In / Payment Out

But more than standard reports they should be considered as part of the daily transactional data, for this reason it would be better if this kind of reports would make use of the standard connection pool in order to make us of instant information to fill the resulting file.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0034816 closedcaristu Support a second database for reporting 

-  Notes
(0102444)
hgbot (developer)
2018-02-15 16:44

Repository: erp/devel/pi
Changeset: b8629f698c42c19c1a8dafd7cd9dd9fd6d520915
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Feb 15 16:36:55 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b8629f698c42c19c1a8dafd7cd9dd9fd6d520915 [^]

fixes issue 37933: PrintController documents use the standard connection pool

  Now the documents generated with the PrintController use the standard connection pool. Notice that the reporting engine keeps using the read only pool to retrieve the translations when generating the translated jasper reports.

---
M src/org/openbravo/erpCommon/utility/reporting/ReportManager.java
---
(0102463)
alostale (developer)
2018-02-16 12:58

reviewed + tested
(0102770)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 14:15 caristu New Issue
2018-02-15 14:15 caristu Assigned To => caristu
2018-02-15 14:15 caristu Modules => Core
2018-02-15 14:15 caristu Triggers an Emergency Pack => No
2018-02-15 14:16 caristu Relationship added related to 0034816
2018-02-15 14:18 caristu Description Updated View Revisions
2018-02-15 16:44 hgbot Checkin
2018-02-15 16:44 hgbot Note Added: 0102444
2018-02-15 16:44 hgbot Status new => resolved
2018-02-15 16:44 hgbot Resolution open => fixed
2018-02-15 16:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b8629f698c42c19c1a8dafd7cd9dd9fd6d520915 [^]
2018-02-15 16:45 caristu Review Assigned To => alostale
2018-02-16 12:58 alostale Note Added: 0102463
2018-02-16 12:58 alostale Status resolved => closed
2018-02-16 12:58 alostale Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102770


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker